### Class

# Phosh BackgroundManager

#### Description [src]

    final class Phosh.BackgroundManager : Phosh.Manager
    {
      /* No available fields */
    }

`PhoshBackgroundManager` keeps tracks of `PhoshMonitor`s to create `PhoshBackground`s that are responsible for rendering the background (or wallpaper). Whenever either the monitors’ configuration or the configured wallpaper properties change the backgrounds are notified to update their contents.

#### Ancestors

- PhoshManager
- GObject

#### Constructors

###### phosh_background_manager_new

No description available.

#### Instance methods

###### phosh_background_manager_get_backgrounds

No description available.

###### phosh_background_manager_get_data

Get the data that allows a `PhoshBackground` to build it’s image. This is the single place that determines this so other parts don’t need to care whether we handle a slide or a single image.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### Phosh.BackgroundManager::config-changed

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PhoshBackgroundManagerClass {
      PhoshManagerClass parent_class;

    }

No description available.

###### Class members

`parent_class: PhoshManagerClass`

  No description available.